## org.eclipse.datatools.modelbase.sql.xml.query.impl
Class XMLPredicateContentImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.query.impl.QuerySearchConditionImpl
                      org.eclipse.datatools.modelbase.sql.query.impl.PredicateImpl
                          org.eclipse.datatools.modelbase.sql.xml.query.impl.XMLPredicateImpl
                              org.eclipse.datatools.modelbase.sql.xml.query.impl.XMLPredicateContentImpl

All Implemented Interfaces:
  SearchCondition, Predicate, QuerySearchCondition, SQLQueryObject, SQLObject, XMLPredicate, XMLPredicateContent

    public class XMLPredicateContentImpl

extends XMLPredicateImpl
implements XMLPredicateContent

An implementation of the model object 'XML Predicate Content'.

Method Summary

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.PredicateImpl
`eGet, eIsSet, eSet, eUnset, getSelectivityValue, isHasSelectivity, isNegatedPredicate, setHasSelectivity, setNegatedPredicate, setSelectivityValue, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.QuerySearchConditionImpl

`basicSetCombinedLeft, basicSetCombinedRight, basicSetDeleteStatement, basicSetNest, basicSetQuerySelectHaving, basicSetQuerySelectWhere, basicSetTableJoined, basicSetUpdateStatement, basicSetValueExprCaseSearchContent, eBasicRemoveFromContainerFeature, eInverseAdd, eInverseRemove, getCombinedLeft, getCombinedRight, getDeleteStatement, getNest, getQuerySelectHaving, getQuerySelectWhere, getSQL, getTableJoined, getUpdateStatement, getValueExprCaseSearchContent, isNegatedCondition, setCombinedLeft, setCombinedRight, setDeleteStatement, setNegatedCondition, setNest, setQuerySelectHaving, setQuerySelectWhere, setTableJoined, setUpdateStatement, setValueExprCaseSearchContent`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.Predicate
`getSelectivityValue, isHasSelectivity, isNegatedPredicate, setHasSelectivity, setNegatedPredicate, setSelectivityValue`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QuerySearchCondition
`getCombinedLeft, getCombinedRight, getDeleteStatement, getNest, getQuerySelectHaving, getQuerySelectWhere, getTableJoined, getUpdateStatement, getValueExprCaseSearchContent, isNegatedCondition, setCombinedLeft, setCombinedRight, setDeleteStatement, setNegatedCondition, setNest, setQuerySelectHaving, setQuerySelectWhere, setTableJoined, setUpdateStatement, setValueExprCaseSearchContent`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.SearchCondition
`getSQL, setSQL`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.